نظرة عامة على المفتاح
| إصدار المفتاح | V4 |
|---|---|
| المواصفة | RFC 2440 · RFC 4880 · RFC 9580 |
| الحالة | متوافق، لكن RFC 9580 يعدّه مهجورًا |
| المفتاح الأساسي (التصديق والتوقيع) | ECDSA secp256k1 · ID 19 · SHA-256 |
| مفتاح التشفير الفرعي | ECDH NIST P-256 · ID 18 |
| البصمة | E060726BC7DBB56FDF7753749EF00F97D46EF942 |
| عبارة مرور المفتاح الخاص | synthetic-key-password |
الخوارزميات والاستخدام
ECDSA secp256k1: توقيع بالمنحنيات الإهليلجية على secp256k1، المنحنى المعروف من Bitcoin. يقع خارج سجل منحنيات RFC 9580: يدعمه GnuPG، بينما ترفضه البرامج المبنية على Sequoia، بما فيها خادم المفاتيح keys2 نفسه. استخدمه فقط للتوافق مع الأنظمة التي تحتاج إلى هذا المنحنى.
ECDH NIST P-256: مفتاح تشفير فرعي بديفي–هيلمان بالمنحنيات الإهليلجية على NIST P-256.
المفتاح العام
الشهادة العامة مع المفتاح الأساسي ومفتاح التشفير الفرعي وتوقيعات الربط الخاصة بهما. استوردها للتحقق من التوقيعات أو للتشفير لهذه الهوية الاختبارية.
تنزيل ← 729 بايت
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BzStDSC1KIG1hdHJpeCAy
NC12NC1lY2RzYS1zZWNwMjU2azErZWNkaC1wMjU2wowEExMIADQFAmr3hRkWIQTg
YHJrx9u1b993U3Se8A+X1G75QgIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEJ7w
D5fUbvlCGJABANI8j8owo0txl4g9tpZhOhdHHFzz0pSEzw5CNIaS5AaVAP4xfEjJ
tTglTIMbpA6DI0+kji/iQnKYiOp3Qr9CMPdfd85WBGr3hRkSCCqGSM49AwEHAgME
3MN8L40E2ij4iQkPrgyDHAqkaDw9whA7wgkVqGyLdQIPcL0EnkrnI/wcNyaoMiry
ZVy7v4pNN07aAIdp55ytowMBCAfCeAQYEwgAIAUCaveFGRYhBOBgcmvH27Vv33dT
dJ7wD5fUbvlCAhsMAAoJEJ7wD5fUbvlCu9YBAKbWWh8+WzankHgF3ulBFevOzy1o
ongUd4eutsTfqT6vAP4s7QQTTq5BHbTdJyzO45C6eAUS0hcCZABpqp/fQiiorg==
=SvoQ
-----END PGP PUBLIC KEY BLOCK-----
المفتاح الخاص
المفتاح الخاص المحمي بعبارة المرور المعروضة أعلاه. منشور للاختبار فقط: يمكن لأي شخص استخدامه.
تنزيل ← 955 بايت
عرض
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaIEaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2B/gkDCKkuw9HKHsAe4FVk
IkiB4nO4HwpV7MrbrxF8zaj4G+c7JRbgIFYSJtV9Cg+0qpW/UAwTWlPi8YXlW+q3
2FI49b4ufLcELD+V3McpFYS4bxjNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNl
Y3AyNTZrMStlY2RoLXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7w
D5fUbvlCAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyP
yjCjS3GXiD22lmE6F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SO
L+JCcpiI6ndCv0Iw9193x6kEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+u
DIMcCqRoPD3CEDvCCRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nn
nK2jAwEIB/4JAwjneAEVHacoqOCS7QG4BsCikL2tcagHHq9zXC4WEagXy8A7ZTKJ
LRTxhtAMUWa85RU1WvhLSlMNiuUQjkXjHEI5I87pWbE7L0YjHtmGpDtdwngEGBMI
ACAFAmr3hRkWIQTgYHJrx9u1b993U3Se8A+X1G75QgIbDAAKCRCe8A+X1G75QrvW
AQCm1lofPls2p5B4Bd7pQRXrzs8taKJ4FHeHrrbE36k+rwD+LO0EE06uQR203Scs
zuOQungFEtIXAmQAaaqf30IoqK4=
=mNF1
-----END PGP PRIVATE KEY BLOCK-----
شهادة الإبطال
شهادة إبطال مُنشأة مسبقًا. يؤدي استيرادها إلى تعليم المفتاح بأنه مُبطل؛ ونُشرت لتتمكن من اختبار كيفية تعامل البرامج مع المفاتيح المُبطلة.
تنزيل ← 888 بايت
عرض
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BwnUEIBMIAB0FAmr3hRkW
IQTgYHJrx9u1b993U3Se8A+X1G75QgAKCRCe8A+X1G75QoBhAP9Ncgf9U9MHZ9YN
XnRwGpB1lC0npRle8kPuWWdGUqCFcQD/awiSMYB7tVdVR4e8qKTJ9TGAI2/IobMF
hVWiXCpuoQrNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNlY3AyNTZrMStlY2Ro
LXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7wD5fUbvlCAhsDAh4B
AwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyPyjCjS3GXiD22lmE6
F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SOL+JCcpiI6ndCv0Iw
9193zlYEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+uDIMcCqRoPD3CEDvC
CRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nnnK2jAwEIB8J4BBgT
CAAgBQJq94UZFiEE4GBya8fbtW/fd1N0nvAPl9Ru+UICGwwACgkQnvAPl9Ru+UK7
1gEAptZaHz5bNqeQeAXe6UEV687PLWiieBR3h662xN+pPq8A/iztBBNOrkEdtN0n
LM7jkLp4BRLSFwJkAGmqn99CKKiu
=6HTy
-----END PGP PUBLIC KEY BLOCK-----
توقيع test_1MB.bin
توقيع منفصل بتغليف ASCII للملف test_1MB.bin، أُنشئ بهذا المفتاح في CH-J Tools. احفظه باسم test_1MB.bin.asc بجوار ملف الاختبار.
تنزيل ← 228 بايت
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQTgYHJrx9u1b993U3Se8A+X1G75QgUCaveO8gAKCRCe8A+X1G75
Qk/DAQCytQBaDvoMZd721uHplsmUhd2MXW937g2x9cRB0TsAngD+OD6A8zsSTCfO
kqQU+O6wL5NugSX6uLWmQKQ7ohzOkd4=
=bsx5
-----END PGP SIGNATURE-----
التحقق من التوقيع
تعمل مفاتيح الإصدار 4 مع GnuPG وأدوات SOP مثل sqop أو rsop، بقدر دعم الخوارزميات. استخدم GNUPGHOME مؤقتًا كي لا يدخل مفتاح الاختبار إلى حلقة مفاتيحك الفعلية:
gpg --import pgp-example-24-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin